<script setup lang="ts">
import NewCard from "@/components/organisms/card/vertical-card/NewCard.vue";
import InstanceCard from "@/components/organisms/card/vertical-card/entity-card/InstanceCard.vue";
import {onMounted} from "vue";
import {useInstanceListStore} from "@/stores/Instance/InstancetListStore";
import InstanceFixtures from "@/fixtures/InstanceFixtures";
import MainTemplate from "@/components/templates/MainTemplate.vue";
import RowList from "@/components/organisms/list/RowList.vue";

const instanceList = useInstanceListStore();

onMounted(() => {
  instanceList.initInstanceList(InstanceFixtures);
})
</script>

<template>
  <MainTemplate>
    <RowList>
      <NewCard link="/instance/new"></NewCard>
      <InstanceCard
          :instance="instance"
          :key="'instance_' + instance.uid"
          v-for="(instance) of instanceList.instances"
      />
    </RowList>
  </MainTemplate>
</template>
